#' \code{ggstatsplot}
#'
#' @description Collection of functions to enhance \code{ggplot2} plots with results from
#' statistical tests.
#'
#' @details
#' The main functions are- \itemize{ \item
#' \code{\link[ggstatsplot]{ggbetweenstats}} function to produce
#' information-rich comparison plot between different groups or conditions with
#' `ggplot2` and details from the statistical tests in the subtitle \item
#' \code{\link[ggstatsplot]{ggscatterstats}} function to produce `ggplot2`
#' scatterplots along with a marginal histograms/boxplots/density plots from
#' `ggExtra` and details from the statistical tests in the subtitle \item
#' \code{\link[ggstatsplot]{ggpiestats}} function to produce pie chart with
#' details from the statistical tests in the subtitle \item
#' \code{\link[ggstatsplot]{gghistostats}} function to produce histogram for a
#' single variable with results from one sample test displayed in the subtitle
#' \item \code{\link[ggstatsplot]{ggcorrmat}} function to visualize correlation
#' matrix \item \code{\link[ggstatsplot]{combine_plots}} helper function to
#' combine multiple `ggstatsplot` plots using `cowplot::plot_grid()` with a
#' combination of title, caption, and annotation label \item
#' \code{\link[ggstatsplot]{theme_mprl}} default theme used for this package
#' \item \code{\link[ggstatsplot]{specify_decimal_p}} helper function to format
#' results for pretty printing }
#'
#' For more documentation, see
#' \href{https://github.com/IndrajeetPatil/ggstatsplot}{README} on GitHub.
#' Vignette preparation in progress.
#'
#' @docType package
#' @name ggstatsplot-package
#'
NULL
